from datetime import datetime
from typing import Optional, Tuple


def quarter_year(for_date: Optional[datetime] = None) -> Tuple[str, int]:
    if for_date is None:
        for_date = datetime.now()
    year = for_date.year
    month = for_date.month
    if month in [12, 1, 2]:
        quarter = "winter"
    elif month in [3, 4, 5]:
        quarter = "spring"
    elif month in [6, 7, 8]:
        quarter = "summer"
    else:
        quarter = "fall"
    return quarter, year
